<template>
<div class="filter-input">
  <FormInput
    :placeholder="filter.label"
    @onInputChange="handleFilterUpdate"
  />
</div>
</template>
<script lang="ts">
import Vue from 'vue';
import { Component, Prop, Emit } from 'vue-property-decorator';
import { FormInput } from '@/components/atoms';
import { Filter as FilterType, InputResults } from '@/types';

@Component({
  components: { FormInput },
})
export default class FilterInput extends Vue {
  @Prop({ required: true }) filter!: FilterType;

  @Emit('onChange')
  handleFilterUpdate(inputResults: InputResults) {
    this.filter.value = inputResults.value;
  }
}
</script>
